gfs2_convert(8)

NAME
gfs2_convert - Convert a GFS1 filesystem to GFS2

SYNOPSIS
gfs2_convert [OPTION]... DEVICE

DESCRIPTION
gfs2_convert is used to convert a filesystem from GFS1 to GFS2. It is required that the GFS1 filesystem be checked and fixed for errors using fsck.gfs2 and that the filesystem be backed up before attempting to convert it. The convert process is irreversible and any error encountered during the conversion can result in the abrupt termination of the program and consequently an unusable filesystem. See NOTES section below for more information.

OPTIONS

-h  Help.

    This prints out the proper command line usage syntax.

-q  Quiet. Print less information while running.

-n  No to all questions.

-V  Print program Version information only.

    Print out the current version name.

-v  Verbose operation.

    Print more information while running.

-y  Yes to all questions.

    By specifying this option, gfs2_convert will not prompt before making changes.

EXAMPLE

gfs2_convert /dev/vg0/lvol0
    This will convert the Global File System on the block device "/dev/vg0/lvol0" to gfs2 format.

NOTES
If gfs2_convert is interrupted for some reason other than a conversion failure, DO NOT run fsck.gfs2 on this partially converted filesystem. When this occurs, reissue the gfs2_convert command on the partially converted filesystem to complete the conversion process.

The GFS2 filesystem does not support Context-Dependent Path Names (CDPNs). gfs2_convert identifies such CDPNs and replaces them with empty directories with the same name. The administrator can use bind mounts on these directories to get the same effect as CDPNs.

When converting full or nearly full filesystems, it is possible that there won't be enough space available to fit all the GFS2 filesystem data structures. In such cases, the size of all the journals is reduced uniformly such that everything fits in the available space.